
-- Status: 19.08.2016

-- see also global/file_extensions.sql

----------------------------------------------
--- NUMBER AND SIZE OF C FILES (ALL) ---
----------------------------------------------
SELECT file_ext, file_count, size_sum
FROM [snippets.file_ext_count_size_all_1k]
WHERE
  file_ext = '.c'
  OR file_ext = '.cpp'
  OR file_ext = '.cc'
  OR file_ext = '.cxx'
  OR file_ext = '.c++'
  OR file_ext = '.h'
  OR file_ext = '.hh'
  OR file_ext = '.hpp'
  OR file_ext = '.hxx'
  OR file_ext = '.h++';

=> c_files_all_1k.csv

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_all_1k]
WHERE
  file_ext = '.c'
  OR file_ext =  '.cpp'
  OR file_ext =  '.cc'
  OR file_ext =  '.cxx'
  OR file_ext =  '.c++'
  OR file_ext =  '.h'
  OR file_ext =  '.hh'
  OR file_ext =  '.hpp'
  OR file_ext =  '.hxx'
  OR file_ext =  '.h++';

=> 522568592 files / 7924709704466 Byte

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_all_1k]
WHERE file_ext = ".c";

=> 291194416 files / 5690874838639 Byte

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_all_1k]
WHERE file_ext = ".cpp"
  OR file_ext = ".cc"
  OR file_ext = ".cxx"
  OR file_ext = ".c++";

=> 21505949 files / 310921005061 Byte
 
SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_all_1k]
WHERE file_ext = ".h"
  OR file_ext = ".hh"
  OR file_ext = ".hpp"
  OR file_ext =  ".hxx"
  OR file_ext =  ".h++";
  
=> 209868227 files / 1922913860766 Byte


------------------------------------------------
--- NUMBER AND SIZE OF C FILES (DISTINCT) ---
----------------------------------------------
SELECT file_ext, file_count, size_sum
FROM [snippets.file_ext_count_size_distinct_1k]
WHERE
  file_ext = '.c'
  OR file_ext = '.cpp'
  OR file_ext = '.cc'
  OR file_ext = '.cxx'
  OR file_ext = '.c++'
  OR file_ext = '.h'
  OR file_ext = '.hh'
  OR file_ext = '.hpp'
  OR file_ext = '.hxx'
  OR file_ext = '.h++';

=> c_files_distinct_1k.csv

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_distinct_1k]
WHERE
  file_ext = '.c'
  OR file_ext =  '.cpp'
  OR file_ext =  '.cc'
  OR file_ext =  '.cxx'
  OR file_ext =  '.c++'
  OR file_ext =  '.h'
  OR file_ext =  '.hh'
  OR file_ext =  '.hpp'
  OR file_ext =  '.hxx'
  OR file_ext =  '.h++';

=> 14401551 files / 266831337711 Byte

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_distinct_1k]
WHERE file_ext = ".c";

=> 4374367 files / 128395338061 Byte

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_distinct_1k]
WHERE file_ext = ".cpp"
  OR file_ext = ".cc"
  OR file_ext = ".cxx"
  OR file_ext = ".c++";

=> 4159927 files / 75434917401 Byte
 
SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_distinct_1k]
WHERE file_ext = ".h"
  OR file_ext = ".hh"
  OR file_ext = ".hpp"
  OR file_ext =  ".hxx"
  OR file_ext =  ".h++";
  
=> 5867257 files / 63001082249 Byte