
-- Status: 22.07.2016

-- see also global/file_extensions.sql

----------------------------------------------
--- NUMBER AND SIZE OF C FILES (ALL) ---
----------------------------------------------
SELECT file_ext, file_count, size_sum
FROM [snippets.file_ext_count_size_all]
WHERE
  file_ext = '.c'
  OR file_ext = '.cpp'
  OR file_ext = '.cc'
  OR file_ext = '.cxx'
  OR file_ext = '.c++'
  OR file_ext = '.h'
  OR file_ext = '.hh'
  OR file_ext = '.hpp'
  OR file_ext = '.hxx'
  OR file_ext = '.h++';

=> c_files_all.csv

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_all]
WHERE
  file_ext = '.c'
  OR file_ext =  '.cpp'
  OR file_ext =  '.cc'
  OR file_ext =  '.cxx'
  OR file_ext =  '.c++'
  OR file_ext =  '.h'
  OR file_ext =  '.hh'
  OR file_ext =  '.hpp'
  OR file_ext =  '.hxx'
  OR file_ext =  '.h++';

=> 615729939 files / 7969566601540 Byte

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_all]
WHERE file_ext = ".c";

=> 306827860 files / 5698816098349 Byte

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_all]
WHERE file_ext = ".cpp"
  OR file_ext = ".cc"
  OR file_ext = ".cxx"
  OR file_ext = ".c++";

=> 23901872 files / 312245844889 Byte
 
SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_all]
WHERE file_ext = ".h"
  OR file_ext = ".hh"
  OR file_ext = ".hpp"
  OR file_ext =  ".hxx"
  OR file_ext =  ".h++";
  
=> 285000207 files / 1958504658302 Byte


------------------------------------------------
--- NUMBER AND SIZE OF C FILES (DISTINCT) ---
----------------------------------------------
SELECT file_ext, file_count, size_sum
FROM [snippets.file_ext_count_size_distinct]
WHERE
  file_ext = '.c'
  OR file_ext = '.cpp'
  OR file_ext = '.cc'
  OR file_ext = '.cxx'
  OR file_ext = '.c++'
  OR file_ext = '.h'
  OR file_ext = '.hh'
  OR file_ext = '.hpp'
  OR file_ext = '.hxx'
  OR file_ext = '.h++';

=> c_files_distinct.csv

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_distinct]
WHERE
  file_ext = '.c'
  OR file_ext =  '.cpp'
  OR file_ext =  '.cc'
  OR file_ext =  '.cxx'
  OR file_ext =  '.c++'
  OR file_ext =  '.h'
  OR file_ext =  '.hh'
  OR file_ext =  '.hpp'
  OR file_ext =  '.hxx'
  OR file_ext =  '.h++';

=> 17091375 files / 268156765425 Byte

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_distinct]
WHERE file_ext = ".c";

=> 4772440 files / 128589695637 Byte

SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_distinct]
WHERE file_ext = ".cpp"
  OR file_ext = ".cc"
  OR file_ext = ".cxx"
  OR file_ext = ".c++";

=> 4644989 files / 75697556057 Byte
 
SELECT SUM(file_count) as file_count, SUM(size_sum) as size_sum
FROM [snippets.file_ext_count_size_distinct]
WHERE file_ext = ".h"
  OR file_ext = ".hh"
  OR file_ext = ".hpp"
  OR file_ext =  ".hxx"
  OR file_ext =  ".h++";
  
=> 7673946 files / 63869513731 Byte